Bug 198574 - [patch] emulators/virtualbox-ose: get rid of "Qt WARNING: libpng warning: iCCP: known incorrect sRGB profile" messages
Summary: [patch] emulators/virtualbox-ose: get rid of "Qt WARNING: libpng warning: iCC...
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-14 10:35 UTC by Martin Birgmeier
Modified: 2018-01-14 01:21 UTC (History)
2 users (show)

See Also:


Attachments
patch to be applied in /usr/ports, modifying files in emulators/virtualbox-ose (1.25 KB, text/plain)
2015-03-14 10:35 UTC, Martin Birgmeier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Birgmeier 2015-03-14 10:35:06 UTC
Created attachment 154291 [details]
patch to be applied in /usr/ports, modifying files in emulators/virtualbox-ose

The VirtualBox sources contain some png files containing color profile data which (lib)png-1.6.16 complains about. This fix uses ImageMagick's "convert" command to remove these profiles (they are not strictly needed). Because the png files are compiled into the binary, the fix works as a post-patch.

The attached patch should be applied in /usr/ports; it modifies emulators/virtualbox-ose/Makefile and adds emulators/virtualbox-ose/files/profile-strip.

-- Martin
Comment 1 Kurt Jaeger freebsd_committer 2016-05-29 10:15:40 UTC
Comment from Ralf Nolden (kde), so: testbuild@work

I have checked that with Virtualbox and witout the patch I get the messages:

Qt WARNING: libpng warning: iCCP: known incorrect sRGB profile

due to wrong png files, which the patch fixes.

I applied the patch from the PR and rebuild virtualbox, then retried. The
errors are away now.

More info on the underlying issue is found here:

https://forum.qt.io/topic/58638/solved-libpng-warning-iccp-known-incorrect-srgb-profile-drive-me-nuts

http://www.libpng.org/pub/png/libpng-manual.txt

Error detection in some chunks has improved; in particular the iCCP chunk
reader now does pretty complete validation of the basic format.  Some bad
profiles that were previously accepted are now rejected, in particular the
very old broken Microsoft/HP sRGB profile.  The PNG spec requirement that
only grayscale profiles may appear in images with color type 0 or 4 and that
even if the image only contains gray pixels, only RGB profiles may appear
in images with color type 2, 3, or 6, is now enforced.  The sRGB chunk
is allowed to appear in images with any color type.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-14 01:21:20 UTC
Maintainer feedback?